#include <stdio.h>
#include <stdlib.h>
#include "ingrediente.h"
#include "ordine.h"

int main()
{
	int i;
	int dim;
	IngredienteList list;
	Ordine *ordini;

	list = readIngredienti("ingredienti.txt");
	printIngredienti(list);

	printf("zucchine %f\n", trovaPrezzo(list, "zucchine"));
	aggiornaPrezzo(list, "zucchine", 20);
	printf("zucchine %f\n\n", trovaPrezzo(list, "zucchine"));

	ordini = leggiOrdini("ordini.bin", &dim);
	printOrdini(ordini, dim);

	printf("Prezzo prima pizza = %.2f\n\n", 
		calcolaPrezzo(ordini[0], list));

	sortOrdini(ordini, dim);
	printOrdini(ordini, dim);

	for (i = 0; i < dim; i++)
	{
		printf("%s -- %.2f\n", ordini[i].nomeCliente, 
			calcolaPrezzo(ordini[i], list));
	}

	printf("\n\n");
	printPrezzoPerCliente(ordini, dim, list);

	printf("\n\n");

	free(ordini);
	ordini = leggiOrdiniFromTxt("ordini.txt", &dim);
	printOrdini(ordini, dim);
}