#include "ingrediente.h"

#ifndef ORDINE
#define ORDINE

#define MAX_NOME_CLIENTE 65
#define MAX_INGS 10

typedef struct OrdineStruct
{
	char nomeCliente[MAX_NOME_CLIENTE];
	int numIngredienti;
	Ingrediente ings[MAX_INGS];
} Ordine;

#endif

Ordine* leggiOrdini(char fileName[], int *dim);
void printOrdini(Ordine ordini[], int dim);
float calcolaPrezzo(Ordine o, IngredienteList list);

void sortOrdini(Ordine ordini[], int dim);

void printPrezzoPerCliente(Ordine ordini[], int dim, IngredienteList list);


Ordine* leggiOrdiniFromTxt(char fileName[], int *dim);