#include "boolean.h"

#ifndef INGREDIENTE
#define INGREDIENTE

#define DIM_NOME_INGREDIENTE 25

typedef struct IngredienteStruct
{
	char nome[DIM_NOME_INGREDIENTE];
	float prezzo;
} Ingrediente;

typedef struct IngredientiListStruct
{
	Ingrediente valore;
	struct IngredientiListStruct *next;
} IngredienteListElement;

typedef IngredienteListElement *IngredienteList;

#endif

IngredienteList ingredienteEmptyList();
Boolean isIngredienteListEmpty(IngredienteList list);

IngredienteList addIngrediente(IngredienteList list, Ingrediente ing);
Ingrediente headList(IngredienteList list);
IngredienteList ingredienteListTail(IngredienteList list);

IngredienteList readIngredienti(char fileName[]);

void printIngredienti(IngredienteList);

float trovaPrezzo(IngredienteList list, char nome[]);
void aggiornaPrezzo(IngredienteList list, char nome[], float prezzo);



